#ifndef DYNSTR_H
#define DYNSTR_H

/*
 ******************************************************************************
 *
 * This file is a part of the IBIS ICM Parser.
 * Copyright (C) 2003 Kelly C. Green <kgreen22@mindspring.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 * 
 ******************************************************************************
 *
 * $Header: /home/kgreen/cvsroot/icmchk/src/dynstr.h,v 1.1.1.1 2003/11/12 05:00:51 kgreen Exp $
 *
 ******************************************************************************
 *
 * $Log: dynstr.h,v $
 * Revision 1.1.1.1  2003/11/12 05:00:51  kgreen
 * Importing Project
 *
 *
 ******************************************************************************
 */


/*
 * include all necessary include files
 */

# include "includes.h"

/*
 * These are fundamentally convenience and portability routines.
 */

char *dyn_strcat PROTO((char **s1, char *s2));            /* concatenate dynamic string with string */
char *dyn_strdup PROTO((char *s1));                       /* manufacture a dynamic string */
char *dyn_strndup PROTO((char *s1, int n));               /* manufacture a counted dynamic string */
char *dyn_strrtrim PROTO((char **s, char c));             /* replace rightmost occurances of char c with '\0' */
int   dyn_strncasecmp PROTO((char *s1, char *s2, int n)); /* counted case insensitive string comparison */
int   dyn_strcasecmp PROTO((char *s1, char *s2));         /* case insensitive string comparison */


#endif
