#ifndef BISON_IBIS_ICM_YACC_H
# define BISON_IBIS_ICM_YACC_H

#ifndef YYSTYPE
typedef union {
  char letter;
  char *str;
  icm_t *icm;
  icm_header_t *header;
  icm_family_t *family;
  icm_model_t *model;
  icm_model_t **model_list;
  icm_tree_path_t *tree_path;
  long integer;
  double real;
  icm_node_path_t **node_path;
  icm_node_path_t *node_path_entry;
  icm_swath_entry_t *swath_entry;
  icm_swath_entry_t **swath_list;
  icm_pin_map_t *pin_map;
  icm_pin_list_entry_t **pin_list;
  icm_pin_list_entry_t *pin_list_entry;
  icm_node_map_t *node_map;
  icm_node_list_entry_t *node_list_entry;
  char **nodes;
  icm_section_t *section;
  icm_port_assignment_entry_t *port_assignment_entry;
  icm_port_assignment_entry_t **port_assignment;
  icm_matrix_t *matrix;
  icm_matrix_value_t **matrix_value;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	FIRST_KEYWORD	257
# define	BEGIN_HEADER	258
# define	ICM_VER	259
# define	FILE_NAME	260
# define	FILE_REV	261
# define	DATE	262
# define	SOURCE	263
# define	NOTES	264
# define	DISCLAIMER	265
# define	COPYRIGHT	266
# define	SUPPORT	267
# define	REDISTRIBUTION	268
# define	REDISTRIBUTION_TEXT	269
# define	END_HEADER	270
# define	BEGIN_ICM_FAMILY	271
# define	MANUFACTURER	272
# define	ICM_FAMILY_DESCRIPTION	273
# define	ICM_MODEL_LIST	274
# define	BEGIN_ICM_MODEL	275
# define	ICM_MODEL_DESCRIPTION	276
# define	TREE_PATH_DESCRIPTION	277
# define	NODAL_PATH_DESCRIPTION	278
# define	ICM_SWATH_PARAMETERS	279
# define	ICM_SWATH_PIN_NUMBERS	280
# define	END_ICM_MODEL	281
# define	ICM_PIN_MAP	282
# define	ICM_NODE_MAP	283
# define	END_ICM_FAMILY	284
# define	BEGIN_ICM_SECTION	285
# define	DERIVATION_METHOD	286
# define	RESISTANCE_MATRIX	287
# define	INDUCTANCE_MATRIX	288
# define	CONDUCTANCE_MATRIX	289
# define	CAPACITANCE_MATRIX	290
# define	BANDWIDTH	291
# define	ROW	292
# define	ICM_S_PARAMETER	293
# define	END_ICM_SECTION	294
# define	END	295
# define	UNKNOWN_KEYWORD	296
# define	LAST_KEYWORD	297
# define	ICM_model_type	298
# define	SGR	299
# define	Ref_impedance_EQ	300
# define	Model_pinmap	301
# define	Fork	302
# define	Endfork	303
# define	Section	304
# define	Mult_EQ	305
# define	Len_EQ	306
# define	Model_nodemap	307
# define	N_section	308
# define	Left_edge_EQ	309
# define	Right_edge_EQ	310
# define	Top_edge_EQ	311
# define	Bottom_edge_EQ	312
# define	Pin_order	313
# define	Num_of_rows_EQ	314
# define	Num_of_columns_EQ	315
# define	Pin_list	316
# define	Sparse_matrix	317
# define	Diagonal_matrix	318
# define	Banded_matrix	319
# define	Full_matrix	320
# define	File_name	321
# define	Port_assignment	322
# define	NODE_NAME	323
# define	WORD	324
# define	NUMBER	325
# define	TEXT_STRING	326
# define	TEXT_BLOCK	327
# define	SGR_RATIO	328
# define	END_OF_LINE	329


extern YYSTYPE yylval;

#endif /* not BISON_IBIS_ICM_YACC_H */
