#ifndef INCLUDES_H
#define INCLUDES_H

/*
 ******************************************************************************
 *
 * This file is a part of the IBIS ICM Parser.
 * Copyright (C) 2003 Kelly C. Green <kgreen22@mindspring.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 * 
 ******************************************************************************
 *
 * $Header: /home/kgreen/cvsroot/icmchk/src/includes.h,v 1.2 2003/11/14 20:59:09 kgreen Exp $
 *
 ******************************************************************************
 *
 * $Log: includes.h,v $
 * Revision 1.2  2003/11/14 20:59:09  kgreen
 * shift to v1.0.0
 *
 * Revision 1.1.1.1  2003/11/12 05:00:51  kgreen
 * Importing Project
 *
 *
 ******************************************************************************
 */

/*
 * Try to include the host configuration.
 * If the host is a windows system, we fake it.
 * Otherwise require the use of the configure tool to create it.
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#else
# ifdef _WIN32
#  define STDC_HEADERS   1
#  define HAVE_STRING_H  1
#  define HAVE_CTYPE_H   1
#  define HAVE_MATH_H    1
#  define HAVE_ASSERT_H  1
# else
#  error "use -D HAVE_CONFIG_H and create 'config.h' with the 'configure' script."
# endif
#endif

/*
 * Include common includes
 */

#include <stdio.h>

#if STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# if HAVE_STDLIB_H
#  include <stdlib.h>
# endif
#endif

#if HAVE_STRING_H
# if !STDC_HEADERS && HAVE_MEMORY_H
#  include <memory.h>
# endif
# include <string.h>
#endif

#if HAVE_CTYPE_H
# include <ctype.h>
#endif

#if HAVE_MATH_H
# include <math.h>
#endif

#if HAVE_ASSERT_H
# include <assert.h>
#endif

/*
 * Define a macro to conditionalize prototype declarations
 * Automake can convert function definitions to K&R format
 * if it needs to.
 */

#if __STDC__ && PROTOTYPES
# define PROTO(args)  args
#else
# define PROTO(args)  ()
#endif

#endif
